> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete tags from entity

> Remove tags from entities of a specified type. This generic endpoint allows removing tags from any supported entity type.



## OpenAPI

````yaml post /v1/businesses/{businessId}/tags/delete
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tags/delete:
    post:
      tags: []
      summary: Delete tags from entity
      description: >-
        Remove tags from entities of a specified type. This generic endpoint
        allows removing tags from any supported entity type.
      operationId: business.tags.delete.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to remove tags for
          required: true
          schema:
            type: string
            format: uuid
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagsDeleteParamsWithEntity'
      responses:
        '200':
          description: Tags successfully removed
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '404':
          description: Business id or any of the specified tag ids are not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    TagsDeleteParamsWithEntity:
      type: object
      properties:
        tag_ids:
          type: array
          items:
            type: string
            format: uuid
          description: List of tag IDs to delete
        entity_type:
          $ref: '#/components/schemas/TaggableEntityType'
          description: The type of entity to remove tags from.
      required:
        - tag_ids
        - entity_type
    EmptyResponse:
      type: object
      properties:
        type:
          type: string
          description: >-
            Resource type. Value will be
            'com.layerfi.controllers.EmptyResponse'.
          example: '{}'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    TaggableEntityType:
      type: string
      enum:
        - CUSTOMER
        - VENDOR
        - BANK_TRANSACTION
        - INVOICE
        - INVOICE_PAYMENT
        - INVOICE_PAYMENT_ALLOCATION
        - INVOICE_WRITE_OFF
        - BILL
        - BILL_PAYMENT
        - BILL_PAYMENT_ALLOCATION
        - MANUAL_JOURNAL_ENTRY
        - MANUAL_JOURNAL_ENTRY_LINE_ITEM
        - CLOSING_ACTION
        - CUSTOMER_PAYOUT
        - VENDOR_PAYOUT
        - PAYROLL
        - PAYROLL_PAYMENT
        - OPENING_BALANCE
        - CUSTOMER_REFUND
        - CUSTOMER_REFUND_PAYMENT
        - CUSTOMER_REFUND_ALLOCATION
        - CUSTOMER_REFUND_ALLOCATION_LINE_ITEM
        - VENDOR_REFUND
        - VENDOR_REFUND_PAYMENT
        - VENDOR_REFUND_ALLOCATION
        - VENDOR_REFUND_ALLOCATION_LINE_ITEM
        - LEDGER_ENTRY
        - QUICKBOOKS_LEDGER_ENTRY
        - VENDOR_CREDIT
        - CUSTOMER_CREDIT
        - INVOICE_LINE_ITEM
        - BILL_LINE_ITEM
        - VENDOR_CREDIT_LINE_ITEM
        - CUSTOMER_CREDIT_LINE_ITEM
        - BANK_ACCOUNT
      description: Type of entity that can be tagged
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````